ocb-stubblr

OCamlbuild plugin for C stubs
README

v0.1.1

Do you get excited by C stubs? Do they sometimes make you swoon, and even faint,
and in the end no cmxas get properly linked -- not to mention correct
multi-lib support?

Do you wish that the things that excite you the most, would excite you just a
little less? Then ocb-stubblr is just the library for you.

ocb-stubblr is about ten lines of code that you need to repeat over, over, over
and over again if you are using ocamlbuild to build OCaml projects that
contain C stubs -- now with 100% more lib!

It does what everyone wants to do with .clib files in their project
directories. It can also clone the .clib and arrange for multiple compilations
with different sets of discovered cflags.

ocb-stubblr is distributed under the ISC license.

Set it up

pkg/pkg.ml:

#require "ocb-stubblr.topkg"
open Ocb_stubblr_topkg

let () =
  Pkg.describe ~build:(Pkg.build ~cmd ()) ...

myocamlbuild.ml:

open Ocamlbuild_plugin

let () = dispatch Ocb_stubblr.init

opam:

depends: [
  "ocamlfind"   {build}
  "ocamlbuild"  {build}
  "topkg"       {build}
  "ocb-stubblr" {build}
  ...
]

Documentation

Interfaces are documented. Online too.

Development

Feel free to pitch in with ideas, especially if you have work-flows that are
not, but could almost be supported.

Install
Sources
ocb-stubblr-0.1.1.tbz
md5=607720dd18ca51e40645b42df5c1273e
Dependencies
topkg
>= "0.8.1"
ocamlbuild
>= "0.9.3" | < "0.9.0"
ocaml
>= "4.01.0"
Reverse Dependencies
cpuid
>= "0.1.0" & < "0.1.2"
dtoa
< "0.3.0"
irmin-watcher
= "0.2.0"
mirage-solo5
>= "0.2.0" & < "0.6.2"
mirage-xen
>= "3.0.6" & < "3.2.0"
named-pipe
>= "0.4.0"
nocrypto
>= "0.5.4"
notty
>= "0.2.0"
papi
< "0.1.1"
salsa20-core
>= "0.2.0" & < "1.0.0"
tsdl
>= "0.9.2" & < "0.9.7"